-- name: [CS] Satoru Gojo
-- description: This will eventually become a JJK pack, but take Gojo for now.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_GOJO_MODEL = smlua_model_util_get_id("gojo_geo")

local TEXT_MOD_NAME = "Satoru Gojo"

local VOICETABLE_GOJO = {
    [CHAR_SOUND_ATTACKED] = 'confused.ogg',
	[CHAR_SOUND_EEUH] = 'neh.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'voice_JJGJO_chance.ogg',
    [CHAR_SOUND_DROWNING] = 'confused.ogg',
    [CHAR_SOUND_DYING] = 'voice_JJGJO_lose.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'tuh.ogg',
    [CHAR_SOUND_HAHA] = 'voice_JJGJO_rensaFP06.ogg',
    [CHAR_SOUND_HAHA_2] = 'voice_JJGJO_damage1.ogg',
	[CHAR_SOUND_DOH] = 'tuh.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'voice_JJGJO_questclear.ogg',
    [CHAR_SOUND_HOOHOO] = 'kah.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'voice_JJGJO_zenkeshi.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'voice_JJGJO_finish01.ogg',
    [CHAR_SOUND_ON_FIRE] = 'confused.ogg',
    [CHAR_SOUND_OOOF] = 'confused.ogg',
    [CHAR_SOUND_OOOF2] = 'kah.ogg',
	[CHAR_SOUND_HRMM] = 'kah.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'ma.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'voice_JJGJO_finish01.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'voice_JJGJO_rensaFP07.ogg',
	[CHAR_SOUND_UH] = 'word.ogg',
    [CHAR_SOUND_UH2] = 'tuh.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'voice_JJGJO_rensaFP02.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'voice_JJGJO_rensaFP01.ogg',
    [CHAR_SOUND_WAAAOOOW] ='voice_JJGJO_rensaFP04.ogg',
    [CHAR_SOUND_WAH2] = 'neh.ogg',
    [CHAR_SOUND_WHOA] = 'voice_JJGJO_rensaFP04.ogg',
    [CHAR_SOUND_YAHOO] = 'tuh.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'ma.ogg', 'voice_JJGJO_finish01.ogg', 'voice_JJGJO_rensaFP07.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'ma.ogg', 'voice_JJGJO_finish01.ogg', 'voice_JJGJO_rensaFP07.ogg'},
}

if _G.charSelectExists then
    _G.charSelect.character_add("Satoru Gojo", {"Nah, I'd win."}, "eldritchmeat", {r = 109, g = 89, b = 146}, E_MODEL_GOJO_MODEL, CT_MARIO, get_texture_info("gojoicon"))

    _G.charSelect.character_add_voice(E_MODEL_GOJO_MODEL, VOICETABLE_GOJO)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GOJO then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GOJO then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end